/*
 * HARK/hark-base
 *
 * Copyright (C) 2008-2018
 *
 */

#if !defined(HARK_BASE_CONSTANT_H_INCLUDED)
#define HARK_BASE_CONSTANT_H_INCLUDED 1

#include "common.h"

#include "Node.h"

namespace HARK
{
    class Constant : public Node
    {
    public:
	Constant(const std::string &nodeName, const ParameterSet &params);

    public:
	virtual void initialize();
	virtual ObjectRef getOutput(int output_id, int count);

    private:
	ObjectRef _value;
	int       _outputID;
	
    };

}

#endif

/* end of file */
