/*
 * HARK/hark-base
 *
 * Copyright (C) 2008-2018
 *
 */

#if !defined(HARK_BASE_ITERATE_H_INCLUDED)
#define HARK_BASE_ITERATE_H_INCLUDED 1

#include "common.h"

#include "Node.h"

namespace HARK
{
    class Iterate : public Node
    {
    public:
	Iterate(const std::string &nodeName, const ParameterSet &params);
	virtual ObjectRef getOutput(int output_id, int count);

    private:
	int _outputID;
	int _maxIter;
	ObjectRef _trueObject;
	ObjectRef _falseObject;

    };
}

#endif

/* end of file */
