/*
 * HARK/hark-base
 *
 * Copyright (C) 2008-2018
 *
 */

#if !defined(HARK_BASE_NOP_H_INCLUDED)
#define HARK_BASE_NOP_H_INCLUDED 1

#include "common.h"

#include "BufferedNode.h"

namespace HARK
{
    class NOP : public BufferedNode
    {
    public:
	NOP(const std::string &nodeName, const ParameterSet &params);

	void calculate(int output_id, int count, Buffer &out);
    
    private:
	int _inputID;
	int _outputID;

    };

}

#endif

/* end of file */
